summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ml/js_of_ocaml/js_of_ocaml-1.4.ebuild')
-rw-r--r--dev-ml/js_of_ocaml/js_of_ocaml-1.4.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/dev-ml/js_of_ocaml/js_of_ocaml-1.4.ebuild b/dev-ml/js_of_ocaml/js_of_ocaml-1.4.ebuild
new file mode 100644
index 00000000000..fdfa20c24b9
--- /dev/null
+++ b/dev-ml/js_of_ocaml/js_of_ocaml-1.4.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit findlib
+
+DESCRIPTION="A compiler from OCaml bytecode to javascript"
+HOMEPAGE="http://ocsigen.org/js_of_ocaml/"
+SRC_URI="http://www.ocsigen.org/download/${P}.tar.gz"
+
+LICENSE="LGPL-2.1-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="+ocamlopt doc +deriving-ocsigen"
+
+DEPEND=">=dev-lang/ocaml-3.12:=[ocamlopt?]
+ >=dev-ml/lwt-2.3.0:=
+ deriving-ocsigen? ( >=dev-ml/deriving-ocsigen-0.3:= )
+ || ( dev-ml/camlp4:= <dev-lang/ocaml-4.02.0 )"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ use ocamlopt || echo "BEST := byte" >> Makefile.conf
+ use deriving-ocsigen || echo "DERIVING :=" >> Makefile.conf
+}
+
+src_compile() {
+ emake
+ use doc && emake doc
+}
+
+src_install() {
+ findlib_src_preinst
+ emake BINDIR="${ED}/usr/bin/" install
+ dodoc CHANGES README
+ use doc && dohtml -r doc/api-html
+}